Also accept just "BoringSSL"
authorKlaus Aehlig <aehlig@google.com>
Thu, 8 Oct 2015 10:47:50 +0000 (12:47 +0200)
committerKlaus Aehlig <aehlig@google.com>
Mon, 12 Oct 2015 07:16:05 +0000 (09:16 +0200)
...and do not insist on a slash to separate further information.
For BoringSSL, the version tuple can contain just the plain string
"BoringSSL".

Signed-off-by: Klaus Aehlig <aehlig@google.com>
Reviewed-by: Lisa Velden <velden@google.com>

lib/rapi/client.py

index 186aff6..ffd997e 100644 (file)
@@ -337,7 +337,7 @@ def GenericCurlConfig(verbose=False, use_signal=False,
       if capath:
         raise Error("cURL linked against GnuTLS has no support for a"
                     " CA path (%s)" % (pycurl.version, ))
-    elif lcsslver.startswith("boringssl/"):
+    elif lcsslver.startswith("boringssl"):
       pass
     else:
       raise NotImplementedError("cURL uses unsupported SSL version '%s'" %